#
# HP-UX Configuration builder makefile for: Gsf.A
#      Modified by: S. Tatem : 8/1/96
#
#
# Note that OPT_FLAGS is defined external to this file

# Definitions
TGT1 = libgsf.a
TGT2 = dump_gsf
MAKEFILE = gsf.mak
CC = cc
MACROS = -D_HPUX_SOURCE -DUNIX -DDISPLAY_SPINNER
CFLAGS = +w1 -Aa $(OPT_FLAGS) $(MACROS)
LIBRARIAN = ar
LIBRARIAN_FLAGS = -r
LINKER = ld
LIBRARIES = -lgsf
LINK_FLAGS = -L. $(LIBRARIES) -lm -v -o

# Object list
OBJ1 = gsf.o gsf_enc.o gsf_dec.o gsf_indx.o
OBJ2 = dump_gsf.o 
DOCS = gsf_lib.doc gsf_spec.doc

.c.o:
	$(CC) $(CFLAGS) -c $*.c

# Target and dependancies
all: $(TGT1) $(TGT2) $(TGT3)

$(TGT1): $(OBJ1) $(MAKEFILE)
	@$(CC) $(CFLAGS) -c $(OBJ1)
	@$(LIBRARIAN) $(LIBRARIAN_FLAGS) $(TGT1) $(OBJ1)

$(TGT2): $(OBJ2) $(MAKEFILE) $(DOCS)
	@echo Linking $(TGT2)
	@$(CC) $(CFLAGS) $(OBJ2) $(LINK_FLAGS) $(TGT2)
	@echo "Done"

clean:
	rm -f *.o

# Object dependancies
gsf.o:		gsf.c gsf.h gsf_ft.h gsf_enc.h gsf_dec.h gsf_indx.h
gsf_dec.o:	gsf_dec.c gsf.h
gsf_enc.o:	gsf_enc.c gsf.h
gsf_indx.o:	gsf_indx.c gsf.h
